## org.eclipse.datatools.sqltools.common.ui.util
Class HTMLTextPresenter

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.util.HTMLTextPresenter

All Implemented Interfaces:
  org.eclipse.jface.text.DefaultInformationControl.IInformationPresenter

    public class HTMLTextPresenter

extends java.lang.Object
implements org.eclipse.jface.text.DefaultInformationControl.IInformationPresenter

Author:
  Hui Cao

Constructor Summary
`HTMLTextPresenter()`
`HTMLTextPresenter(boolean enforceUpperLineLimit)`

Method Summary
`java.lang.String` `updatePresentation(org.eclipse.swt.widgets.Display display, java.lang.String hoverInfo, org.eclipse.jface.text.TextPresentation presentation, int maxWidth, int maxHeight)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLTextPresenter

    public HTMLTextPresenter(boolean enforceUpperLineLimit)

### HTMLTextPresenter

    public HTMLTextPresenter()

Method Detail

### updatePresentation

    public java.lang.String updatePresentation(org.eclipse.swt.widgets.Display display,
                                               java.lang.String hoverInfo,
                                               org.eclipse.jface.text.TextPresentation presentation,
                                               int maxWidth,
                                               int maxHeight)

  Specified by:
    `updatePresentation` in interface `org.eclipse.jface.text.DefaultInformationControl.IInformationPresenter`